import { OnInit, EventEmitter, SimpleChanges } from "@angular/core";
import { ENgxPrintComponent } from "e-ngx-print";
import { ChartMenuService } from '../../service/chart-menu.service';
import { NoiseDropToolboxData } from '../../line/noise-dropbox-line/noise-dropbox-line-interface';
export declare class NoiseAnalysisToolboxComponent implements OnInit {
    private chartMenuService;
    print1Component: ENgxPrintComponent;
    constructor(chartMenuService: ChartMenuService);
    chartInstance: any;
    fileName: string;
    bcacNoiseDropToolboxData: NoiseDropToolboxData;
    bcacToolboxSingleChoiceChange: EventEmitter<any>;
    bcacToolboxMultipleChoiceChange: EventEmitter<any>;
    bcacToolboxIntervalChange: EventEmitter<any>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    _singleChoiceData: any;
    _multipleChoiceData: any;
    _xIntervalData: any;
    radioValue_singleChoice: any;
    radioValue_xInterval: any;
    radioValue_oldxInterval: any;
    ngOnChanges(changes: SimpleChanges): void;
    closePanel(event: any): void;
    downloadImage(imageType: string, fileName: string): void;
    fullScreen(event: any): void;
    customPrint(): void;
    xIntervalDataChange(value: any): void;
    singleChoiceChange(e: any): void;
    multipleChoiceChange(e: any): void;
}
